package com.gci.boot.modules.system.service;

import com.gci.boot.constant.CacheConstant;
import com.gci.boot.modules.system.entity.SysDict;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.system.vo.DictModel;
import org.springframework.cache.annotation.Cacheable;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-25
 */
public interface ISysDictService extends IService<SysDict> {

    List<DictModel> queryDictItemsByCode(String code);

    List<DictModel> queryTableDictItemsByCodeAndFilter(String table, String text, String code, String filterSql);

    List<DictModel> queryTableDictItemsByCode(String table, String text, String code);

    String queryTableDictTextByKey(String table, String text, String code, String key);

    String queryDictTextByKey(String code, String key);

    String queryDictValueByText(String code, String key);

    String queryTableDictValueByText(String table, String text, String code, String key);

    String queryTableDictTextByKey(String table, String text, String code, String key,boolean hasDelFlag);
}
